Page MenuHomePhabricator

Add a config setting to disable deletion of recentchanges entries when pages are deleted
Closed, DeclinedPublic

Description

Deleting those entries makes it harder to do a deletion review because information about recent edits (such as the size of the revisions, who the recent editors are, etc.) isn't publicly available anymore. Someone can ask a sysop for a copy of the page's text from before it was deleted, but who knows, maybe the most recent revision was a heavily truncated version, where someone cut out everything controversial in an attempt to save the article. Or maybe someone gutted the article, and the reason it got deleted was that there weren't enough reliable sources left. Knowing the page length of the recent revisions would make it easier to know which version to ask for.

Eventually, recentchanges entries will get deleted anyway, so this partly addresses the argument, "If we make that data publicly accessible, it defeats the point of deleting the article."

Another problem this change would fix is that if an article is deleted, and then undeleted, the entries that were deleted from recentchanges aren't restored.

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptFeb 25 2019, 8:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Setian updated the task description. (Show Details)Feb 25 2019, 8:21 PM
Setian updated the task description. (Show Details)
Setian updated the task description. (Show Details)Feb 25 2019, 8:27 PM
Setian updated the task description. (Show Details)

Change 492968 had a related patch set uploaded (by Setian; owner: Setian):
[mediawiki/core@master] Config setting to disable deletion of recentchanges entries upon page deletion

https://gerrit.wikimedia.org/r/492968

Setian renamed this task from Don't delete recentchanges entries when pages are deleted to Add a config setting to disable deletion of recentchanges entries when pages are deleted.Feb 26 2019, 8:31 AM

This task dovetails nicely with T217125, "Set $wgGroupPermissions['*']['deletedhistory'] = true; in DefaultSettings.php".

Change 492968 abandoned by WMFOffice:
Config setting to disable deletion of recentchanges entries upon page deletion

Reason:
abandoning patch sets of globally banned user

https://gerrit.wikimedia.org/r/492968

MaxSem closed this task as Declined.Mar 13 2019, 4:42 PM